SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000321: DHCP restartscript fails stopping dhcp if it is unconfigured - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000321Endian FirewallOther Scriptspublic2007-11-19 16:172008-02-02 07:28
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2-beta3Fixed in Version2.2-beta3 
Summary0000321: DHCP restartscript fails stopping dhcp if it is unconfigured
Descriptionif dhcp settings file is empty restartdhcpd.py --stop fails with this traceback:

Traceback (most recent call last):
  File "/usr/local/bin/restartdhcp.py", line 415, in ?
    loadConfig()
  File "/usr/local/bin/restartdhcp.py", line 385, in loadConfig
    actualize_subnets()
  File "/usr/local/bin/restartdhcp.py", line 332, in actualize_subnets
    if actualize_subnets_zone('GREEN', config_values):
  File "/usr/local/bin/restartdhcp.py", line 312, in actualize_subnets_zone
    if conf['DNS1_'+zone] == net_conf_old[zone+'_ADDRESS']:
KeyError: 'DNS1_GREEN'
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2007-11-19 16:17 peter-endian New Issue
2007-11-19 16:17 peter-endian Status new => assigned
2007-11-19 16:17 peter-endian Assigned To => peter-endian
2008-01-09 20:18 peter-endian Target Version => 2.2-beta3
2008-01-21 14:53 peter-endian Status assigned => resolved
2008-01-21 14:53 peter-endian Fixed in Version => 2.2-beta3
2008-01-21 14:53 peter-endian Resolution open => fixed
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker